require("dotenv").config();

module.exports = {
  EMPTY: "",
  REGEX_NOT_NUMBER: "/\D/g",
  METHOD_GET: "get",
  METHOD_PUT: "put",
  METHOD_POST: "post",
  ABREV_GA: "ga",
  ABREV_DEV: "dev",
  ABREV_RC: "rc",
  RELEASE_NAME_GA: "master",
  RELEASE_NAME_DEV: "develop",
  RELEASE_NAME_RC: "release",
  CANARY: "canary",
  BRANCH_NAME: process.env.CI_COMMIT_BRANCH,
  SNKMODULE: process.env.SNKMODULE.toLowerCase(),
  PACKAGE_NAME: process.env.PACKAGE_NAME.toLowerCase(),
  PACKAGE_GROUP: process.env.PACKAGE_GROUP.toLowerCase(),
  ORACLE_BUCKET_REPOSITORY: process.env.BUCKET_STORAGE_REPOSITORY.toLowerCase(),
  ORACLE_BUCKET_PREFIX: process.env.PREFIX_BUCKET,
  ORACLE_BUCKET_PATH: process.env.PREFIX_BUCKET.concat(":").concat(process.env.BUCKET_STORAGE_REPOSITORY),
  ORACLE_BUCKET_URL: process.env.OCI_LINK,
  ORACLE_REGION: "aws-global",
  ORACLE_V4: "v4",
  PACKAGE_REPOSITORY_TOKEN: process.env.PACKAGE_REPOSITORY_TOKEN,
  PROJECT_DIR: `${process.env.CI_PROJECT_DIR}/${process.env.CI_ROOT_DIR}`,
  BUILD: process.env.BUILD_NUMBER,
  ORIGIN_BUILD_NUMBER: process.env.ORIGIN_BUILD_NUMBER,
  CURRENT_DATE_ISO: process.env.CURRENT_DATE_ISO,
  SEMANTIC_TAG: process.env.NEXT_VERSION,
  CURRENT_HASH: process.env.CI_COMMIT_SHA,
  VISIBILITY: "public",
  BUILD_FOLDER_SCRIPTS: `${process.env.CI_PROJECT_DIR}/${process.env.CI_ROOT_DIR}/build/scripts`,
  DBSCRIPT_FILENAME: `${process.env.SNKMODULE.toLowerCase()}-dbscript-${process.env.NEXT_VERSION}.zip`,
  DD_BUILD_FOLDER: `${process.env.CI_PROJECT_DIR}/${process.env.CI_ROOT_DIR}/build/datadictionary`,
  DD_ARTIFACT_ID: `${process.env.SNKMODULE.toLowerCase()}-dd`,
  DD_FILENAME_ZIP: `${process.env.SNKMODULE.toLowerCase()}-dd-${process.env.NEXT_VERSION}.zip`,
  DD_FILENAME_XML: `${process.env.SNKMODULE.toLowerCase()}DD_${process.env.BUILD_NUMBER}.xml`,
  DD_IMPORT_DATE: process.env.DD_IMPORT_DATE,
  DD_EXPORT_DATE: process.env.DD_EXPORT_DATE,
  DD_ID: process.env.DD_ID,
  DD_HOST: process.env.DD_HOST,
  NEXUS_HOST: process.env.NEXUS_HOST,
  NEXUS_USER: process.env.NEXUS_USER,
  NEXUS_PASSWORD: process.env.NEXUS_PASSWORD
};
